<b>Step 2:</b> Writing new configuration settings...

<?php if($files === true) { ?>
Done!<br/><br/>

<form method="post" action="">
<?php
foreach (array('core','base') as $type) {
	if (isset($modules[$type]) && is_array($modules[$type])) {
	ksort($modules[$type]);

	printf('<b>NOTE: The following %s modules will be installed</b>',strtoupper($type));;
	echo '<table width="100%" cellspacing="3" cellpadding="4">';
	foreach ($modules[$type] as $module => $details) { ?>
		<tr valign="top" bgcolor="#F3F3F3">
			<td width="20%" height="25" bgcolor="#F8F8F8">
				<input type="checkbox" name="modules[]" value="<?php echo $details['name']; ?>" checked="checked" disabled="disabled"/>
				<?php printf('<b>%s</b>:',$details['name']); ?>
			</td>
			<td width="80%" height="25" bgcolor="#F8F8F8">&nbsp;
				<?php echo $details['notes']; ?>
			</td>
		</tr>
	<?php } ?>
	</table>
	<br/>
	<?php } ?>
<?php } ?>

<?php if (isset($modules['plugin']) && is_array($modules['plugin'])) { ?>
<?php ksort($modules['plugin']); ?>
<b>Please select any OPTIONAL modules you wish to install</b>
	<table width="100%" cellspacing="3" cellpadding="4">
		<?php foreach ($modules['plugin'] as $module => $details) { ?>
		<tr valign="top" bgcolor="#F3F3F3">
			<td width="2%" height="25" bgcolor="#F8F8F8" colspan=2>
				<input type="checkbox" name="modules[]" value="<?php echo $details['name']; ?>"/>
			</td>
			<td width="98%" height="25" bgcolor="#F8F8F8">&nbsp;
				<?php printf('<b>%s</b>: %s',$details['name'],$details['notes']); ?>
			</td>
		</tr>
		<?php } ?>
	</table>
<?php } ?>

<?php if (! empty($license_agreement)) { ?>
<input type="submit" name="Submit" value="I Agree, Continue to Step 3"/>
<?php } else { ?>
<input type="submit" name="Submit" value="Step 3"/>
<?php } ?>
<input type="hidden" name="do" value="step3"/>
</form>

<?php echo '<PRE>';print_r($modules); ?>
<?php } else { ?>
<b>failed!</b>
<?php echo $database; ?>
<br/>
<br/>
<b>To Resolve This Issue:</b><br/>
Please access the files/directories listed above and change their permissions
to be writable. Then refresh this page in your browser.<br/>
<br/>
On Linux based systems, you can use an FTP program to change the CHMOD settings
to '777', or you can use the <i>chmod</i> command from the command line.<br/>
<br/>
On Windows based systems, you should check that the file/directory is not set
to &quot;Read-only,&quot; and the web user has full access to the files.<br/>
<br/>
<?php } ?>
