<?php
/**
 * osBilling - Open Billing Software
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Originally authored by Deon George
 *
 * @author Deon George <deonATleenooksDOTnet>
 * @copyright 2009 Deon George
 * @link http://osb.leenooks.net
 * @license http://www.gnu.org/licenses/
 * @package AgileBill
 * @subpackage Modules:Payment
 */

/**
 * The main AgileBill Export Class
 *
 * @package AgileBill
 * @subpackage Modules:Export
 */
class export extends OSB_module {
	/**
	 * @uses module
	 */
	public function add($VAR) {
		if (isset($VAR[$this->table.'_module_id']) && empty($VAR[$this->table.'_map_data'])) {
			global $VAR;
			$VAR['_page'] = 'export:add';

			require_once(PATH_MODULES.'module/module.inc.php');
			$mo = new module($VAR[$this->table.'_module_id']);
			$VAR['module_name'] = $mo->getRecordAttr('name');

			return;
		}

		parent::add($VAR);
	}

	public function view($VAR) {
		global $smarty;

		$s = parent::view($VAR);
		if (isset($s['module_id'])) {
			require_once(PATH_MODULES.'module/module.inc.php');
			$mo = new module($s['module_id']);

			$smarty->assign('module_name',$mo->getRecordAttr('name'));
		}
	}
}
?>
