{assign var=meth value=':'|explode:$VAR._page}
<!-- {$meth.0}:{$meth.1} -->

<!-- Display the field validation -->
{if $form_validation}
	{$block->display('core:alert_fields')}
{/if}

<!-- Display each record -->
<form id="affiliate_view" method="post" action="" enctype="multipart/form-data">

	<table width="100%" border="0" cellspacing="0" cellpadding="0" class="table_background">
		<tr>
			<td>
				<table width="100%" border="0" cellspacing="1" cellpadding="0">
					<tr valign="top">
						<td class="table_heading">{osb f=tt}</td>
					</tr>
					<tr valign="top">
						<td class="row1">
							<table width="100%" border="0" cellspacing="2" cellpadding="3" class="row1">
								<tr valign="top">
									<td width="50%">{osb f=tf field=id}</td>
									<td width="50%"><b>{$affiliate.id}</b></td>
								</tr>
								<tr valign="top">
									<td width="50%">{osb f=tf field=date_orig}</td>
									<td width="50%">{$list->date_time($affiliate.date_orig)}</td>
								</tr>
								<tr valign="top">
									<td width="50%">{osb f=tf field=date_last}</td>
									<td width="50%">{$list->date_time($affiliate.date_last)}</td>
								</tr>
								<tr valign="top">
									<td width="50%">{osb f=tf field=status}</td>
									<td width="50%">{$list->bool('',$affiliate.status,'')}</td>
								</tr>
								<tr valign="top">
									<td width="50%">{osb f=tf field=max_tiers}</td>
									<td width="50%">{$affiliate.max_tiers}</td>
								</tr>
								<tr valign="top">
									<td width="50%">{osb f=tf field=commission_minimum}</td>
									<td width="50%">{$list->format_currency($affiliate.commission_minimum,'')}</td>
								</tr>
								<tr valign="top">
									<td width="50%">{osb f=tf field=recurr_max_commission_periods}</td>
									<td width="50%">{$affiliate.recurr_max_commission_periods}</td>
								</tr>
								<tr valign="top">
									<td width="50%">{osb f=tf field=new_commission_type}</td>
									<td width="50%">{$list->menu_staticlist('commissiontype','','',$affiliate.new_commission_type,'')}</td>
								</tr>
								<tr valign="top">
									<td width="50%">{osb f=tf field=recurr_commission_type}</td>
									<td width="50%">{$list->menu_staticlist('commissiontype','','',$affiliate.recurr_commission_type,'')}</td>
								</tr>
							</table>
							<table width="100%" border="0" cellspacing="2" cellpadding="3" class="row1">
								{foreach from=$static_var item=record}
									<tr valign="top">
										<td width="50%" valign="top">{$record.name}</td>
										<td width="50%">{$record.html}</td>
									</tr>
								{/foreach}
							</table>
						</td>
					</tr>
					<tr valign="top">
						<td width="65%" class="row1">
							<table width="100%" border="0" cellspacing="2" cellpadding="3" class="row1">
								<tr valign="top">
									<td width="50%" valign="top">{osb f=tf field=affiliate_plugin}</td>
									<td width="50%">{$list->menu_files('','affiliate_affiliate_plugin',$affiliate.affiliate_plugin,'affiliate_plugin','','.php','')}</td>
								</tr>
							</table>
							{assign var='afile' value=$affiliate.affiliate_plugin}
							{assign var='ablock' value='affiliate:plugin_'}
							{assign var='blockfile' value="$ablock$afile"}
							{$block->display($blockfile)}
						</td>
					</tr>
					<tr valign="top">
						<td class="row1">
							<table width="100%" border="0" cellspacing="0" cellpadding="0">
								<tr>
									<td>&nbsp;</td>
									<td align="right"><input type="submit" name="Submit" value="{t}Submit{/t}" class="form_button"/></td>
								</tr>
							</table>
						</td>
					</tr>
				</table>
			</td>
		</tr>
	</table>
	<br/>
	<table width="100%" border="0" cellspacing="0" cellpadding="0" class="table_background">
		<tr>
			<td>
				<table width="100%" border="0" cellspacing="1" cellpadding="0">
					<tr valign="top">
						<td class="table_heading">{t}Affiliate Statistics{/t}</td>
					</tr>
					<tr valign="top">
						<td class="row1">
							<table width="100%" border="0" cellspacing="3" cellpadding="1" class="row1">
								<tr valign="top">
									<td width="50%">{t}Sessions{/t}</td>
									<td width="50%"><b>{$affiliate_stats.stats_sessions}</b></td>
								</tr>
								<tr valign="top">
									<td width="50%">{t}Accounts{/t}</td>
									<td width="50%"><b>{$affiliate_stats.stats_accounts}</b></td>
								</tr>
								<tr valign="top">
									<td width="50%">{t}Invoices{/t}</td>
									<td width="50%">{$list->format_currency($affiliate_stats.stats_invoices_amt,'')} ({$affiliate_stats.stats_invoices})</td>
								</tr>
								<tr valign="top">
									<td width="50%">{t}Commission{/t}</td>
									<td width="50%">{$list->format_currency($affiliate_stats.stats_commissions,'')}</td>
								</tr>
								<tr valign="top">
									<td width="50%">{t}Commissions Due{/t}</td>
									<td width="50%"><b>{$list->format_currency($affiliate_stats.commissions_due,'')}</b></td>
								</tr>
							</table>
						</td>
					</tr>
				</table>
			</td>
		</tr>
	</table>

	{if $affiliate_campaign != ''}
		<br/>
		<table width="100%" border="0" cellspacing="0" cellpadding="0" class="table_background">
			<tr>
				<td>
					<table width="100%" border="0" cellspacing="1" cellpadding="0">
						<tr valign="top">
							<td class="table_heading">{t}Affiliate Links & Banners{/t}</td>
						</tr>
						<tr valign="top">
							<td class="row1">
								<table width="100%" border="0" cellspacing="3" cellpadding="1" class="row1">
									<!-- Loop through each record -->
									{foreach from=$affiliate_campaign item=affiliate_campaign}
										<tr valign="top">
											<td width="50%">{$affiliate_campaign.name}</td>
											<td width="50%"><a href="?_page=campaign:affiliate&id={$affiliate_campaign.id}&curr_aid={$affiliate.id}">{translate module=affiliate}campaign_code{/translate}</a></td>
										</tr>
									{/foreach}
								</table>
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
	{/if}

	<div>
		<input type="hidden" name="_page" value="affiliate:affiliate">
		<input type="hidden" name="_page_current" value="affiliate:affiliate">
		<input type="hidden" name="do[]" value="affiliate:user_update">
	</div>
</form>

<div><br/></div>
<table width="100%" border="0" cellspacing="0" cellpadding="0">
	<tr valign="top">
		<td width="50%">
			<table width="100%" border="0" cellspacing="0" cellpadding="0">
				<tr>
					<td>
						<table width="97%" border="0" cellspacing="1" cellpadding="0" class="table_background">
							<tr valign="top">
								<td class="table_heading">{osb f=tt method=new_tier_iframe}</td>
							</tr>
							<tr valign="top">
								<td class="row1">
									<table width="100%" border="0" cellspacing="0" cellpadding="3" class="row1">
										{$list->unserial($affiliate.new_commission_rate,'new_commission_rate')}
										{foreach key=key item=item from=$new_commission_rate}
											{if $item}
												<tr>
													<td width="50%">{t}Tier{/t} {math equation="x+y" x=$key y=1}</td>
													<td width="50%" align="right">
														{if $affiliate.new_commission_type == '0'}
														{elseif $affiliate.new_commission_type == '1'}
															{math equation="x*y" x=$item y=100}%
														{elseif $affiliate.new_commission_type == '2'}
															{$list->format_currency($item,'')}
														{/if}
													</td>
												</tr>
											{/if}
										{/foreach}
									</table>
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</td>
		<td align="right">
			<table width="100%" border="0" cellspacing="0" cellpadding="0">
				<tr>
					<td align="right">
						<table width="97%" border="0" cellspacing="1" cellpadding="0" class="table_background">
							<tr valign="top">
								<td class="table_heading">{osb f=tt method=recurr_tier_iframe}</td>
							</tr>
							<tr valign="top">
								<td class="row1">
									<table width="100%" border="0" cellspacing="0" cellpadding="3" class="row1">
										{$list->unserial($affiliate.recurr_commission_rate,'recurr_commission_rate')}
										{foreach key=key item=item from=$recurr_commission_rate}
											{if $item}
												<tr>
													<td width="50%">{t}Tier{/t} {math equation="x+y" x=$key y=1}</td>
													<td width="50%" align="right">
														{if $affiliate.recurr_commission_type == '0'}
														{elseif $affiliate.recurr_commission_type == '1'}
															{math equation="x*y" x=$item y=100}%
														{elseif $affiliate.recurr_commission_type == '2'}
															{$list->format_currency($item, '')}
														{/if}
													</td>
												</tr>
											{/if}
										{/foreach}
									</table>
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</td>
	</tr>
</table>
