<?php
/**
 * AgileBill - Open Billing Software
 *
 * This body of work is free software; you can redistribute it and/or
 * modify it under the terms of the Open AgileBill License
 * License as published at http://www.agileco.com/agilebill/license1-4.txt
 *
 * Originally authored by Tony Landis, AgileBill LLC
 *
 * Recent modifications by Deon George
 *
 * @author Deon George <deonATleenooksDOTnet>
 * @copyright 2009 Deon George
 * @link http://osb.leenooks.net
 *
 * @link http://www.agileco.com/
 * @copyright 2004-2008 Agileco, LLC.
 * @license http://www.agileco.com/agilebill/license1-4.txt
 * @author Tony Landis <tony@agileco.com>
 * @package AgileBill
 * @subpackage Modules:Account
 */

/**
 * Public Account methods
 */

$auth_methods = array(
	array('module'=>'account','method'=>'user_add'),
	array('module'=>'account','method'=>'user_view'),
	array('module'=>'account','method'=>'user_password'),
	array('module'=>'account','method'=>'user_password_reset'),
	array('module'=>'account','method'=>'user_verify'),
	array('module'=>'account','method'=>'user_verify_resend')
);
?>
