<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 *
 * @package    OSB
 * @subpackage EmailTemplate
 * @category   Models
 * @author     Deon George
 * @copyright  (c) 2010 Deon George
 * @license    http://dev.leenooks.net/license.html
 */
class Model_EmailTemplate extends ORMOSB {
	protected $_table_name = 'email_template';

	protected $_has_many = array(
		'emailtemplate_translate'=>array('foreign_key'=>'email_template_id'),
	);

	// This module doesnt keep track of column updates automatically
	protected $_created_column = FALSE;
	protected $_updated_column = FALSE;

	protected $_formats = array(
		'active'=>array('StaticList_YesNo::display'=>array()),
	);

	protected $_sorting = array(
		'name'=>'ASC',
	);
}
?>
