<?php
/**
 * AgileBill - Open Billing Software
 *
 * This body of work is free software; you can redistribute it and/or
 * modify it under the terms of the Open AgileBill License
 * License as published at http://www.agileco.com/agilebill/license1-4.txt
 *
 * Originally authored by Tony Landis, AgileBill LLC
 *
 * Recent modifications by Deon George
 *
 * @author Deon George <deonATleenooksDOTnet>
 * @copyright 2009 Deon George
 * @link http://osb.leenooks.net
 *
 * @link http://www.agileco.com/
 * @copyright 2004-2008 Agileco, LLC.
 * @license http://www.agileco.com/agilebill/license1-4.txt
 * @author Tony Landis <tony@agileco.com>
 * @package AgileBill
 * @subpackage Modules:Invoice
 */

/**
 * The main AgileBill Invoice Class
 *
 * @package AgileBill
 */

$auth_methods = array (
	array('module'=>'invoice','method'=>'user_search'),
	array('module'=>'invoice','method'=>'user_search_show'),
	array('module'=>'invoice','method'=>'user_view'),
	array('module'=>'invoice','method'=>'pdf'),
	array('module'=>'invoice','method'=>'checkoutnow'),
	array('module'=>'invoice','method'=>'tpl_checkout_multiple_preview'),
	array('module'=>'invoice','method'=>'custom_tracking'),
	array('module'=>'invoice','method'=>'has_unpaid'),
);
?>
