<?php
/**
 * AgileBill - Open Billing Software
 *
 * This body of work is free software; you can redistribute it and/or
 * modify it under the terms of the Open AgileBill License
 * License as published at http://www.agileco.com/agilebill/license1-4.txt
 *
 * Originally authored by Tony Landis, AgileBill LLC
 *
 * Recent modifications by Deon George
 *
 * @author Deon George <deonATleenooksDOTnet>
 * @copyright 2009 Deon George
 * @link http://osb.leenooks.net
 *
 * @link http://www.agileco.com/
 * @copyright 2004-2008 Agileco, LLC.
 * @license http://www.agileco.com/agilebill/license1-4.txt
 * @author Tony Landis <tony@agileco.com>
 * @package AgileBill
 * @subpackage Module:Static Vars
 */

/**
 * The main AgileBill Static Variables Class
 *
 * @package AgileBill
 * @subpackage Module:Static Vars
 */
class static_var extends OSB_module {
	/**
	 * Delete Static Variables
	 */
	public function delete($VAR) {
		$this->associate_DELETE = array();

		array_push($this->associated_DELETE,array('table'=>'static_relation','field'=>'static_var_id'));
		array_push($this->associated_DELETE,array('table'=>'static_var_record','field'=>'static_var_id'));

		return parent::delete($VAR);
	}
}
?>
