<!--
@TODO
* Include offpeak time, from supplier
* Include Static IP options
* Include Contract Term
* Include Shaped/Excess Charges
* Date Validation on Churn Date (4 to 10 days)
* Phone number Validation
* Address min length
* Disable Churn date if ADSL not connected
* Disable Submit if terms not accepted
* Change rate to show inc TAX
-->

{$list->unserial($record.prod_plugin_data,'plugin_data')}

<!-- ADSL SERVICE ATTRIBUTES TABLE -->
<table width="100%" border="0" cellspacing="3" cellpadding="1" class="table_background">
	<tr>
		<td>
			<table width="100%" border="0" cellspacing="3" cellpadding="1">
				<tr>
					<td colspan="5" style="font-size: 120%;"><b>ADSL Inclusions</b></td>
				</tr>
				<tr>
					<td colspan="5"><b>ADSL Data</b></td>
				</tr>
				<tr>
					<td style="width: 20%;">&nbsp;</td>
					<td style="width: 20%;">Downloads</td>
					<td style="width: 20%;">Excess/GB</td>
					<td style="width: 20%;">Uploads</td>
					<td style="width: 20%;">Excess/GB</td>
				</tr>
				<tr>
					<td>Peak</td>
					<td>{$plugin_data.base_down_peak}</td>
					<td>{$list->format_currency_num($plugin_data.extra_down_peak,$smarty.const.SESS_CURRENCY)}</td>
					<td>{$plugin_data.base_up_peak}</td>
					<td>{$list->format_currency_num($plugin_data.extra_up_peak,$smarty.const.SESS_CURRENCY)}</td>
				</tr>
				{assign var='sid' value=$plugin_data.supplier_product}
				{if $list->smarty_array('adsl','offpeak_start,offpeak_end'," AND id=$sid",'supplier') && $supplier.0.offpeak_start && $supplier.0.offpeak_end}
					<tr>
						<td>Off Peak</td>
						<td>{$plugin_data.base_down_offpeak}</td>
						<td>{$list->format_currency_num($plugin_data.extra_down_offpeak,$smarty.const.SESS_CURRENCY)}</td>
						<td>{$plugin_data.base_up_offpeak}</td>
						<td>{$list->format_currency_num($plugin_data.extra_up_offpeak,$smarty.const.SESS_CURRENCY)}</td>
					</tr>
				{/if}
				<tr>
					<td colspan="5">&nbsp;</td>
				</tr>
				<tr>
					<td colspan="5"><b>ADSL Extra Information</b></td>
				</tr>
				<tr>
					<td>{t}Static IP address{/t}</td>
					<td><b>{if $plugin_data.staticip}{t}Included{/t}{else}{t}No{/t}{/if}</b></td>
				</tr>
				<tr>
					<td>{t}Extra Traffic Charged{/t}</td>
					{if $plugin_data.extra_charged}
						<td colspan="4"><b>{t}Yes{/t}</b> ({t}See the table above{/t})</td>
					{else}
						<td colspan="4"><b>{t}No{/t}</b> {if $plugin_data.extra_shape}({t}Your service will be shapped to{/t} <b>{$plugin_data.extra_shape}</b>){/if}</td>
					{/if}
				</tr>
				{if $supplier && $supplier.0.offpeak_start && $supplier.0.offpeak_end}
					<tr>
						<td>{t}Offpeak Period{/t}</td>
						<td colspan="4"><b>{$list->time($supplier.0.offpeak_start)}</b> - <b>{$list->time($supplier.0.offpeak_end)}</b></td>
					</tr>
				{/if}
				{if $plugin_data.contract_term}
					<tr>
						<td>{t}Contract Term{/t}</td>
						<td colspan="4"><b>{$plugin_data.contract_term}</b> {t}Months{/t}</td>
					</tr>
				{/if}
			</table>
		</td>
	</tr>
</table>
<br/>
<!-- ADSL SERVICE -->
<table width="100%" border="0" cellspacing="3" cellpadding="1" class="table_background">
	<tr>
		<td>
			<table width="100%" border="0" cellspacing="0" cellpadding="4">
				<tr>
					<td><b>ADSL Service Number</b></td>
				</tr>
				<tr valign="top">
					<td><input type="text" id="attr_phone" name="attr[phone]" size="20"/></td>
				</tr>
				<tr>
					<td><b>ADSL Service Address</b></td>
				</tr>
				<tr valign="top">
					<td><textarea id="attr_address" name="attr[address]" cols="50" rows="3"></textarea></td>
				</tr>
				<!-- CHURNS -->
				<!-- @todo use javascript to show the churn date -->
				<tr>
					<td><b>Do you have an ADSL service connected, already?</b> <input type="checkbox" name="attr[churn]" value="Yes" /></td>
				</tr>
				<tr>
					<td><b>Requested CHURN date</b></td>
				</tr>
				<tr valign="top">
					<td><input type="text" id="attr_churndate" name="attr[churndate]" size="20" /></td>
				</tr>
				<!-- TERMS -->
				<tr>
					<td width="70%" valign="middle"><b>Have you viewed and accepted the terms and conditions?</b> <input type="checkbox" name="attr[tc]" value="Yes" /></td>
				</tr>
			</table>
		</td>
	</tr>
</table>
